PlanResponse
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcebroker.utils.serialization.types
Class PlanResponse

    java.lang.Object
      org.gcube.vremanagement.resourcebroker.utils.serialization.types.PlanResponse

    public class PlanResponse

extends java.lang.Object

Author:
  Daniele Strollo (ISTI-CNR)

Field Summary
`static java.lang.String` | `NODE_TAG`

Constructor Summary
`PlanResponse()` Deprecated. for serialization only.
`PlanResponse(PlanBuilderIdentifier workflowSession)`
`PlanResponse(PlanBuilderIdentifier workflowSession, java.lang.String scope)`

Method Summary
`PackageGroup` | `createPackageGroup(java.lang.String serviceName)` Instantiate a new `PackageGroup` inside the `PlanResponse`.
`java.lang.String` | `getKey()`
`java.util.List<PackageGroup>` | `getPackageGroups()`
`java.lang.String` | `getScope()`
`ResponseStatus` | `getStatus()`
`boolean` | `hasFailed()` This method is used to check if the obtained response is for a failed plan or not.
`void` | `setKey(java.lang.String key)`
`void` | `setScope(java.lang.String scope)`
`void` | `setStatus(ResponseStatus status)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE_TAG

    public static final java.lang.String NODE_TAG

See Also:
  Constant Field Values

Constructor Detail

### PlanResponse

    public PlanResponse()

  Deprecated. for serialization only.

### PlanResponse

    public PlanResponse(PlanBuilderIdentifier workflowSession)

### PlanResponse

    public PlanResponse(PlanBuilderIdentifier workflowSession,
                        java.lang.String scope)

Method Detail

### getScope

    public final java.lang.String getScope()

### setScope

    public final void setScope(java.lang.String scope)

### getPackageGroups

    public final java.util.List<PackageGroup> getPackageGroups()

### getKey

    public final java.lang.String getKey()

### setKey

    public final void setKey(java.lang.String key)

### createPackageGroup

    public final PackageGroup createPackageGroup(java.lang.String serviceName)

  Instantiate a new `PackageGroup` inside the `PlanResponse`.

  Note: using this method the newly created element is automatically inserted inside the package group list of the response plan so that no explicit add(elem) instruction is required.

  Returns:
    a new `PackageGroup` and stores it inside the `PlanResponse`.

### setStatus

    public void setStatus(ResponseStatus status)

### getStatus

    public ResponseStatus getStatus()

### hasFailed

    public boolean hasFailed()

  This method is used to check if the obtained response is for a failed plan or not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD